Index: tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 137)
@@ -3,14 +3,14 @@
 Bundle-Name: JFreeChart Charts Engine Core
 Bundle-SymbolicName: org.txm.chartsengine.jfreechart.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: jfreechart;bundle-version="1.0.17";visibility:=reexport,
+Require-Bundle: org.txm.ca.core;bundle-version="1.0.0",
+ jfreechart;bundle-version="1.0.17";visibility:=reexport,
  org.eclipse.core.runtime,
  org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.core
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.chartsengine.jfreechart.core,
- org.txm.chartsengine.jfreechart.core.datasets,
  org.txm.chartsengine.jfreechart.core.preferences,
  org.txm.chartsengine.jfreechart.core.renderers,
  org.txm.chartsengine.jfreechart.core.renderers.interfaces,
Index: tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/adapters/CAHAdapterFactory.java
===================================================================
--- tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/adapters/CAHAdapterFactory.java	(revision 136)
+++ tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/adapters/CAHAdapterFactory.java	(revision 137)
@@ -19,7 +19,7 @@
 	
 	public static final ImageDescriptor ICON =
 			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(CAHAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(CAHAdapterFactory.class).getSymbolicName() + "/icons/functions/cah.png"); //$NON-NLS-1$
+					"platform:/plugin/"+ FrameworkUtil.getBundle(CAHAdapterFactory.class).getSymbolicName() + "/icons/cah.png"); //$NON-NLS-1$
 	
 	/**
 	 * Gets the adapter.
Index: tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/messages/CAUIPMessages.java
===================================================================
--- tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/messages/CAUIPMessages.java	(revision 0)
+++ tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/messages/CAUIPMessages.java	(revision 137)
@@ -0,0 +1,40 @@
+package org.txm.cah.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
+
+public class CAUIPMessages extends NLS {
+
+	// FIXME: use the same properties file than the bundle
+	//private static final String BUNDLE_NAME = "l10n.bundle"; //$NON-NLS-1$
+	private static final String BUNDLE_NAME = "org.txm.cah.rcp.messages.messages"; //$NON-NLS-1$
+	
+	
+	public static String CAHPreferencePage_0;
+	public static String CAHPreferencePage_2;
+	public static String CAHPreferencePage_3;
+	public static String CAHPreferencePage_4;
+	
+	public static String CAHEditor_0;
+	
+	public static String ComputeCAH_0;
+	public static String ComputeCAH_1;
+	public static String ComputeCAH_2;
+	public static String ComputeCAH_3;
+	public static String ComputeCAH_4;
+	public static String ComputeCAH_5;
+	public static String ComputeCAH_6;
+	
+	public static String ComputeClassification_5;
+	public static String ComputeClassification_6;
+	
+	public static String CAHEditorTitle;
+	
+	static {
+		// initializes resource bundle
+		TXMCoreMessages.initializeMessages(BUNDLE_NAME, CAUIPMessages.class);
+	}
+	
+	private CAUIPMessages() {
+	}
+}

Index: tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/editors/CAHChartEditor.java
===================================================================
--- tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/editors/CAHChartEditor.java	(revision 136)
+++ tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/editors/CAHChartEditor.java	(revision 137)
@@ -8,31 +8,25 @@
 import org.eclipse.swt.widgets.ToolItem;
 import org.txm.cah.core.functions.CAH;
 import org.txm.cah.rcp.chartsengine.jfreechart.events.CAHSelectionListener;
-import org.txm.cah.rcp.messages.RCPCAHMessages;
-import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
-import org.txm.chartsengine.rcp.editors.ChartEditorInput;
+import org.txm.cah.rcp.messages.CAUIPMessages;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
 import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
 import org.txm.functions.TXMResult;
 import org.txm.rcpapplication.IImageKeys;
-import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.commands.editor.CustomizableEditor;
 import org.txm.searchengine.cqp.corpus.Corpus;
 
 /**
  * CAH chart editor.
- * @author sjacquot, mdecorde
+ * 
+ * @author mdecorde
+ * @author sjacquot
  *
  */
 public class CAHChartEditor extends ChartEditorPart implements CustomizableEditor {
 
-	/**
-	 * The <code>EditorPart</code> ID constant.
-	 */
-	public static final String ID = CAHChartEditor.class.getCanonicalName();
 
 
-
 	/**
 	 * Numbers of clusters.
 	 */
@@ -45,22 +39,7 @@
 
 
 
-	/**
-	 * Creates an empty <code>CAHChartEditor</code>.
-	 */
-	public CAHChartEditor() {
-		super();
-	}
 
-
-	/**
-	 * Creates a <code>CAHChartEditor</code>.
-	 * @param editorInput
-	 */
-	public CAHChartEditor(ChartEditorInput editorInput) {
-		this.setInput(editorInput);
-	}
-
 	@Override
 	public void createPartControl(Composite parent) {
 
@@ -93,19 +72,19 @@
 
 		// Columns
 		this.computeColumns = new ToolItem(this.toolBar, SWT.RADIO);
-		this.computeColumns.setToolTipText(RCPCAHMessages.ComputeClassification_5);
+		this.computeColumns.setToolTipText(CAUIPMessages.ComputeClassification_5);
 		this.computeColumns.setImage(IImageKeys.getImage(IImageKeys.CHARTS_CAH_COMPUTE_COLUMNS));
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
-		//this.computeColumns.setText(Messages.ComputeClassification_5);
+		//this.computeColumns.setText(CAUIPMessages.ComputeClassification_5);
 		this.computeColumns.setSelection(this.getResultData().isColumnsComputing());
 		this.computeColumns.addSelectionListener(new CAHSelectionListener(this, CAHSelectionListener.COMPUTE_COLUMNS));
 
 		// Rows
 		ToolItem computeRows = new ToolItem(this.toolBar, SWT.RADIO);
-		computeRows.setToolTipText(RCPCAHMessages.ComputeClassification_6);
+		computeRows.setToolTipText(CAUIPMessages.ComputeClassification_6);
 		computeRows.setImage(IImageKeys.getImage(IImageKeys.CHARTS_CAH_COMPUTE_ROWS));
 		// FIXME: keep this for offering an option "large icons" with text in buttons ?
-		//computeRows.setText(Messages.ComputeClassification_6);
+		//computeRows.setText(CAUIPMessages.ComputeClassification_6);
 		computeRows.setSelection(!this.getResultData().isColumnsComputing());
 
 	}
@@ -171,10 +150,6 @@
 	}
 
 
-	@Override
-	public String getID() {
-		return CAHChartEditor.ID;
-	}
 
 	@Override
 	public boolean usingCorpus(Corpus corpus) {
Index: tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/commands/ComputeCAH.java
===================================================================
--- tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/commands/ComputeCAH.java	(revision 136)
+++ tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/commands/ComputeCAH.java	(revision 137)
@@ -47,22 +47,17 @@
 import org.eclipse.swt.widgets.Spinner;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
-import org.txm.chartsengine.core.ChartsEngine;
-import org.txm.chartsengine.r.core.RChartsEngine;
-import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
-import org.txm.chartsengine.rcp.editors.ChartEditorPart;
-import org.txm.chartsengine.svgbatik.rcp.SVGSWTChartsComponentsProvider;
-import org.txm.functions.ca.CA;
+import org.txm.ca.core.functions.CA;
+import org.txm.ca.core.preferences.CAPreferences;
 import org.txm.cah.core.functions.CAH;
 import org.txm.cah.core.preferences.CAHPreferences;
-import org.txm.cah.rcp.editors.CAHChartEditor;
-import org.txm.cah.rcp.messages.RCPCAHMessages;
-import org.txm.rcpapplication.IImageKeys;
+import org.txm.cah.rcp.messages.CAUIPMessages;
+import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
+import org.txm.chartsengine.rcp.editors.ChartEditorPart;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcpapplication.JobsTimer;
-import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.TxmPreferences;
 import org.txm.rcpapplication.actions.LexicalTableDialog;
-import org.txm.rcpapplication.preferences.CAPreferencePage;
 import org.txm.rcpapplication.utils.JobHandler;
 import org.txm.rcpapplication.views.CorporaView;
 import org.txm.rcpapplication.views.QueriesView;
@@ -77,18 +72,19 @@
 /**
  * If the selection is a CA or a Lexical Table result computes the CAH.
  *
- * @author mdecorde, sjacquot.
+ * @author mdecorde
+ * @author sjacquot
  */
 public class ComputeCAH extends AbstractHandler {
 
 
-	/**
-	 * The command ID.
-	 */
-	public static final String ID =  ComputeCAH.class.getCanonicalName();
+	// FIXME: should be put in an Activator? or better in an extension point loaded by the corpora view? or in a method called here as initTreeDoubleClickListener(Class resultDataType, String commandId)?
+	// adds a double click listener to the Corpus View
+	static	{
+		CorporaView.addDoubleClickListener(CAH.class, "ComputeCAH"); //$NON-NLS-1$
+	}
+	
 
-
-
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
@@ -97,7 +93,7 @@
 
 
 		if (!Toolbox.isStatEngineInitialized()) {
-			System.out.println(RCPCAHMessages.ComputeCAH_4);
+			System.out.println(CAUIPMessages.ComputeCAH_4);
 			return null;
 		}
 
@@ -121,7 +117,7 @@
 			try {
 				ca = new CA(lexicaltable);
 			} catch (StatException e) {
-				System.out.println("Failed to build the CA with lexical table "+lexicaltable+": "+e);
+				System.out.println("Failed to build the CA with lexical table " + lexicaltable + ": " + e);
 				Log.printStackTrace(e);
 			}
 			lexicaltable.storeResult(ca);
@@ -134,12 +130,11 @@
 			//System.out.println("Compute CAH with Partition : "+((Partition)selection.getFirstElement()).getName());
 			partition = (Partition)selection.getFirstElement();
 			try {
-				String title = RCPCAHMessages.bind(RCPCAHMessages.ComputeCAH_0, partition.getName());
-				int vmax = TxmPreferences.getInt(CAPreferencePage.VMAX, 200);
-				int fmin = TxmPreferences.getInt(CAPreferencePage.FMIN, 10);
+				String title = CAUIPMessages.bind(CAUIPMessages.ComputeCAH_0, partition.getName());
+				int vmax = TXMPreferences.getInt(CAPreferences.PREFERENCES_NODE, CAPreferences.V_MAX);
+				int fmin = TXMPreferences.getInt(CAPreferences.PREFERENCES_NODE, CAPreferences.F_MIN);
 				Shell shell = Display.getCurrent().getActiveShell();
-				LexicalTableDialog d = new LexicalTableDialog(shell, partition
-						.getCorpus(), title);
+				LexicalTableDialog d = new LexicalTableDialog(shell, partition.getCorpus(), title);
 				d.setFminAndVMax(fmin, vmax);
 				
 				if (d.open() == Window.OK) {
@@ -158,16 +153,12 @@
 					return null;
 				}
 			} catch (Exception e) {
-				System.out.println("Failed to build the lexical table of "+partition+": "+e);
+				System.out.println("Failed to build the lexical table of " + partition + ": " + e);
 				Log.printStackTrace(e);
 				return null;
 			} 
 		}
 
-		final int ncluster = TxmPreferences.getInt(CAHPreferences.NCLUSTER, 2);
-		final String metric = TxmPreferences.getString(CAHPreferences.METRIC, CAH.getDefaultMetric());
-		final String method = TxmPreferences.getString(CAHPreferences.METHOD, CAH.getDefaultMethod());
-		final Boolean display2D = "2D".equals(TxmPreferences.getString(CAHPreferences.DISPLAY, "3D")); //$NON-NLS-1$ //$NON-NLS-2$
 		final boolean computeColumns = true;
 
 		// Use existent CAH (used when reopening an editor from a CAH result node)
@@ -178,7 +169,11 @@
 		} else {
 //			if (ca == null) cah = new CAH(lexicaltable, computeColumns, method, metric, ncluster, display2D);
 //			else 
-				cah = new CAH(ca, computeColumns, method, metric, ncluster, display2D);
+				cah = new CAH(ca, computeColumns,
+						TXMPreferences.getString(CAHPreferences.PREFERENCES_NODE, CAHPreferences.METHOD),
+						TXMPreferences.getString(CAHPreferences.PREFERENCES_NODE, CAHPreferences.METRIC),
+						TXMPreferences.getInt(CAHPreferences.PREFERENCES_NODE, CAHPreferences.NCLUSTER)
+						);
 		}
 	
 		try {
@@ -199,7 +194,7 @@
 	 */
 	public static void compute(final CAH cah, final ChartEditorPart chartEditor) throws RWorkspaceException {
 
-		JobHandler jobhandler = new JobHandler(RCPCAHMessages.CAHEditor_0) {
+		JobHandler jobhandler = new JobHandler(CAUIPMessages.CAHEditor_0) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
@@ -225,30 +220,17 @@
 						@Override
 						public void run() {
 
-							System.err.println("ComputeCAH.compute(): charts creator is not yet implemented.");
-							
 							// Create a new chart editor
-							// FIXME: version to restore when the JFC CAH charts will be implemented
-//							if(chartEditor == null)	{
-//								ChartEditorPart chartEditor = Application.swtComponentProvider.createCAHChartEditorPart(IImageKeys.getImage(IImageKeys.ACTION_CAH), cah);
-//								// Create and open the chart editor
-//								SWTChartsComponentProvider.openEditor(chartEditor);
-//							}
-//							// Refresh the existing chart editor
-//							else	{
-//								// Create and load the new chart
-//								chartEditor.getComposite().loadChart(Toolbox.getChartsEngine().createCAHChart(((CAHChartEditor) chartEditor).getResultData(), ((CAHChartEditor) chartEditor).getResultData().isDisplay2D()));
-//								chartEditor.forceFocus();
-//							}
-
-							// FIXME: temporary force R/SVG version because the CAH charts are not yet implemented in JFC mode
-							RChartsEngine tmpChartsEngine = new RChartsEngine(ChartsEngine.OUTPUT_FORMAT_SVG);
 							if(chartEditor == null)	{
-								SVGSWTChartsComponentsProvider tmpSWTComponentsProvider = (SVGSWTChartsComponentsProvider) SWTChartsComponentsProvider.getComponentsProvider(tmpChartsEngine);
-								// FIXME: charts creator is not yet implemented
-								//ChartEditorPart chartEditor = tmpSWTComponentsProvider.createCAHChartEditorPart(IImageKeys.getImage(IImageKeys.ACTION_CAH), cah);
-								// Create and open the chart editor
-								tmpSWTComponentsProvider.openEditor(chartEditor);
+								SWTChartsComponentsProvider.getCurrent().openEditor(cah.getName(), cah, CAHPreferences.PREFERENCES_NODE);
+
+								// FIXME: temporary force R/SVG version because the CAH charts are not yet implemented in JFC mode								
+//								RChartsEngine tmpChartsEngine = new RChartsEngine(ChartsEngine.OUTPUT_FORMAT_SVG);
+//								SVGSWTChartsComponentsProvider tmpSWTComponentsProvider = (SVGSWTChartsComponentsProvider) SWTChartsComponentsProvider.getComponentsProvider(tmpChartsEngine);
+//								// FIXME: charts creator is not yet implemented
+//								//ChartEditorPart chartEditor = tmpSWTComponentsProvider.createCAHChartEditorPart(IImageKeys.getImage(IImageKeys.ACTION_CAH), cah);
+//								// Create and open the chart editor
+//								tmpSWTComponentsProvider.openEditor(chartEditor);
 							}
 							// Refresh the existing chart editor
 							else	{
@@ -436,7 +418,7 @@
 		 */
 		public CAHParamDialog(Shell parentShell) {
 			super(parentShell);
-			this.title = RCPCAHMessages.CAHEditorTitle;
+			this.title = CAUIPMessages.CAHEditorTitle;
 		}
 
 		/* (non-Javadoc)
@@ -449,7 +431,7 @@
 			if (title != null)
 				newShell.setText(title);
 			else
-				newShell.setText(RCPCAHMessages.CAHEditorTitle);
+				newShell.setText(CAUIPMessages.CAHEditorTitle);
 		}
 
 		/** The composite. */
@@ -478,7 +460,7 @@
 
 			// N CLUSTERS
 			Label label = new Label(composite, SWT.NONE);
-			label.setText(RCPCAHMessages.CAHPreferencePage_2);
+			label.setText(CAUIPMessages.CAHPreferencePage_2);
 
 			nclusterSpinner = new Spinner(composite, SWT.BORDER);
 			nclusterSpinner.setMinimum(2);
@@ -488,11 +470,11 @@
 
 			// ROWS OR COLS
 			docolumnsButton = new Button(composite, SWT.RADIO);
-			docolumnsButton.setText(RCPCAHMessages.ComputeClassification_5);
+			docolumnsButton.setText(CAUIPMessages.ComputeClassification_5);
 			docolumnsButton.setSelection(true);
 
 			Button dorowsButton = new Button(composite, SWT.RADIO);
-			dorowsButton.setText(RCPCAHMessages.ComputeClassification_6);
+			dorowsButton.setText(CAUIPMessages.ComputeClassification_6);
 
 			/*
 			// METHODS
Index: tmp/org.txm.cah.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.cah.rcp/.settings/org.eclipse.core.resources.prefs	(revision 136)
+++ tmp/org.txm.cah.rcp/.settings/org.eclipse.core.resources.prefs	(revision 137)
@@ -1,2 +1,2 @@
 eclipse.preferences.version=1
-encoding//src/org/txm/cah/rcp/messages_ru_utf8.properties=UTF-8
+encoding//src/org/txm/cah/rcp/messages/messages_ru_utf8.properties=UTF-8
Index: tmp/org.txm.cah.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cah.rcp/META-INF/MANIFEST.MF	(revision 136)
+++ tmp/org.txm.cah.rcp/META-INF/MANIFEST.MF	(revision 137)
@@ -4,9 +4,10 @@
 Bundle-SymbolicName: org.txm.cah.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Activator: org.txm.cah.rcp.Activator
-Require-Bundle: org.txm.chartsengine.rcp;bundle-version="1.0.0",
- org.eclipse.ui,
+Require-Bundle: org.eclipse.ui,
+ org.txm.chartsengine.rcp;bundle-version="1.0.0",
  org.eclipse.core.runtime,
+ org.txm.ca.core;bundle-version="1.0.0",
  org.txm.cah.core;bundle-version="1.0.0",
  org.txm.chartsengine.core;bundle-version="1.0.0",
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/AdapterFactory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/AdapterFactory.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/AdapterFactory.java	(revision 137)
@@ -38,17 +38,13 @@
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
-import org.txm.functions.ca.CA;
-import org.txm.functions.classification.CAH;
 import org.txm.functions.concordances.Concordance;
 import org.txm.functions.cooccurrences.Cooccurrence;
 import org.txm.functions.index.Index;
 import org.txm.functions.internal.InternalView;
 import org.txm.functions.intertextualdistance.InterTextDistance;
-import org.txm.functions.progression.Progression;
 //import org.txm.functions.queryindex.QueryIndex;
 import org.txm.functions.referencer.Referencer;
-import org.txm.functions.specificities.SpecificitesResult;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
@@ -249,29 +245,29 @@
 		}
 	};
 
-	/** The Progression adapter. */
-	private IWorkbenchAdapter ProgressionAdapter = new IWorkbenchAdapter() {
-		@Override
-		public Object[] getChildren(Object progression) {
-			return new Object[0];
-		}
-
-		@Override
-		public ImageDescriptor getImageDescriptor(Object object) {
-			return AbstractUIPlugin.imageDescriptorFromPlugin(
-					Application.PLUGIN_ID, IImageKeys.ACTION_PROGRESSION);
-		}
-
-		@Override
-		public String getLabel(Object progression) {
-			return ((Progression) progression).getDetails(); 
-		}
-
-		@Override
-		public Object getParent(Object progression) {
-			return ((Progression) progression).getCorpus();
-		}
-	};
+//	/** The Progression adapter. */
+//	private IWorkbenchAdapter ProgressionAdapter = new IWorkbenchAdapter() {
+//		@Override
+//		public Object[] getChildren(Object progression) {
+//			return new Object[0];
+//		}
+//
+//		@Override
+//		public ImageDescriptor getImageDescriptor(Object object) {
+//			return AbstractUIPlugin.imageDescriptorFromPlugin(
+//					Application.PLUGIN_ID, IImageKeys.ACTION_PROGRESSION);
+//		}
+//
+//		@Override
+//		public String getLabel(Object progression) {
+//			return ((Progression) progression).getDetails(); 
+//		}
+//
+//		@Override
+//		public Object getParent(Object progression) {
+//			return ((Progression) progression).getCorpus();
+//		}
+//	};
 	
 	/** The Progression adapter. */
 	private IWorkbenchAdapter interTextDistAdapter = new IWorkbenchAdapter() {
@@ -321,30 +317,30 @@
 		}
 	};
 
-	/** The CAH adapter. */
-	private IWorkbenchAdapter CAHAdapter = new IWorkbenchAdapter() {
-		@Override
-		public Object[] getChildren(Object cah) {
-			return new Object[0];
-		}
+//	/** The CAH adapter. */
+//	private IWorkbenchAdapter CAHAdapter = new IWorkbenchAdapter() {
+//		@Override
+//		public Object[] getChildren(Object cah) {
+//			return new Object[0];
+//		}
+//
+//		@Override
+//		public ImageDescriptor getImageDescriptor(Object object) {
+//			return AbstractUIPlugin.imageDescriptorFromPlugin(
+//					Application.PLUGIN_ID, IImageKeys.ACTION_CAH);
+//		}
+//
+//		@Override
+//		public String getLabel(Object cah) {
+//			return "" + ((CAH) cah).getName(); //$NON-NLS-1$
+//		}
+//
+//		@Override
+//		public Object getParent(Object cah) {
+//			return ((CAH) cah).getParent();
+//		}
+//	};
 
-		@Override
-		public ImageDescriptor getImageDescriptor(Object object) {
-			return AbstractUIPlugin.imageDescriptorFromPlugin(
-					Application.PLUGIN_ID, IImageKeys.ACTION_CAH);
-		}
-
-		@Override
-		public String getLabel(Object cah) {
-			return "" + ((CAH) cah).getName(); //$NON-NLS-1$
-		}
-
-		@Override
-		public Object getParent(Object cah) {
-			return ((CAH) cah).getParent();
-		}
-	};
-
 	/** The Cooccurrence adapter. */
 	private IWorkbenchAdapter CooccurrenceAdapter = new IWorkbenchAdapter() {
 
@@ -370,32 +366,32 @@
 		}
 	};
 
-	/** The specificities result adapter. */
-	private IWorkbenchAdapter specificitiesResultAdapter = new IWorkbenchAdapter() {
+//	/** The specificities result adapter. */
+//	private IWorkbenchAdapter specificitiesResultAdapter = new IWorkbenchAdapter() {
+//
+//		@Override
+//		public Object[] getChildren(Object o) {
+//			return new Object[0];
+//		}
+//
+//		@Override
+//		public ImageDescriptor getImageDescriptor(Object object) {
+//			return AbstractUIPlugin.imageDescriptorFromPlugin(
+//					Application.PLUGIN_ID, IImageKeys.ACTION_SPECIFICITIES);
+//		}
+//
+//		@Override
+//		public String getLabel(Object o) {
+//			return ((SpecificitesResult) o).getName();
+//		}
+//
+//		@Override
+//		public Object getParent(Object o) {
+//			return ((SpecificitesResult) o).getParent();
+//		}
+//
+//	};
 
-		@Override
-		public Object[] getChildren(Object o) {
-			return new Object[0];
-		}
-
-		@Override
-		public ImageDescriptor getImageDescriptor(Object object) {
-			return AbstractUIPlugin.imageDescriptorFromPlugin(
-					Application.PLUGIN_ID, IImageKeys.ACTION_SPECIFICITIES);
-		}
-
-		@Override
-		public String getLabel(Object o) {
-			return ((SpecificitesResult) o).getName();
-		}
-
-		@Override
-		public Object getParent(Object o) {
-			return ((SpecificitesResult) o).getParent();
-		}
-
-	};
-
 	/** The referencer adapter. */
 	private IWorkbenchAdapter referencerAdapter = new IWorkbenchAdapter() {
 		@Override
@@ -444,33 +440,8 @@
 		}
 	};
 
-	/** The CA adapter. */
-	private IWorkbenchAdapter CAAdapter = new IWorkbenchAdapter() {
 
-		@Override
-		public Object[] getChildren(Object o) {
-			return ((CA)o).getResults().toArray();
-		}
 
-		@Override
-		public ImageDescriptor getImageDescriptor(Object object) {
-			return AbstractUIPlugin.imageDescriptorFromPlugin(
-					Application.PLUGIN_ID,
-					IImageKeys.ACTION_CORRESPONDANCE_ANALYSIS);
-		}
-
-		@Override
-		public String getLabel(Object o) {
-			return ""+((CA) o).getName(); //$NON-NLS-1$
-		}
-
-		@Override
-		public Object getParent(Object o) {
-			return ((CA) o).getParent();
-		}
-
-	};
-
 	/** The Lexicon adapter. */
 	private IWorkbenchAdapter LexiconAdapter = new IWorkbenchAdapter() {
 
@@ -542,37 +513,34 @@
 		if (adapterType == IWorkbenchAdapter.class
 				&& adaptableObject instanceof Partition)
 			return partitionAdapter;
+//		if (adapterType == IWorkbenchAdapter.class
+//				&& adaptableObject instanceof SpecificitesResult)
+//			return specificitiesResultAdapter;
 		if (adapterType == IWorkbenchAdapter.class
-				&& adaptableObject instanceof SpecificitesResult)
-			return specificitiesResultAdapter;
-		if (adapterType == IWorkbenchAdapter.class
 				&& adaptableObject instanceof Concordance)
 			return concordanceAdapter;
 		if (adapterType == IWorkbenchAdapter.class
 				&& adaptableObject instanceof Referencer)
 			return referencerAdapter;
 		if (adapterType == IWorkbenchAdapter.class
-				&& adaptableObject instanceof CA)
-			return CAAdapter;
-		if (adapterType == IWorkbenchAdapter.class
 				&& adaptableObject instanceof Lexicon)
 			return LexiconAdapter;
 		if (adapterType == IWorkbenchAdapter.class
 				&& adaptableObject instanceof Index)
 			return IndexAdapter;
+//		if (adapterType == IWorkbenchAdapter.class
+//				&& adaptableObject instanceof Progression)
+//			return ProgressionAdapter;
 		if (adapterType == IWorkbenchAdapter.class
-				&& adaptableObject instanceof Progression)
-			return ProgressionAdapter;
-		if (adapterType == IWorkbenchAdapter.class
 				&& adaptableObject instanceof Cooccurrence)
 			return CooccurrenceAdapter;
 		if (adapterType == IWorkbenchAdapter.class
 				&& adaptableObject instanceof LexicalTable)
 			return lexicalTableAdapter;
+//		if (adapterType == IWorkbenchAdapter.class
+//				&& adaptableObject instanceof CAH)
+//			return CAHAdapter;
 		if (adapterType == IWorkbenchAdapter.class
-				&& adaptableObject instanceof CAH)
-			return CAHAdapter;
-		if (adapterType == IWorkbenchAdapter.class
 				&& adaptableObject instanceof InternalView)
 			return InternalViewAdapter;
 		if (adapterType == IWorkbenchAdapter.class
